## ale 0.1.0

=== DESCRIPTION ===
Package: ale
Title: Interpretable Machine Learning and Statistical Inference with
        Accumulated Local Effects (ALE)
Version: 0.1.0
Authors@R: c(
    person("Chitu", "Okoli", , "Chitu.Okoli@skema.edu", role = c("aut", "cre"),
           comment = c(ORCID = "0000-0001-5574-7572")),
    person("Dan", "Apley", role = "ctb", comment = "The core code for calculating ALE values is rewritten from Dan Apley's ALEPlot package. We are grateful for his open-source contribution.")
	)
Description: Accumulated Local Effects (ALE) were initially developed as a model-agnostic approach for global explanations of the results of black-box machine learning algorithms. (Apley, Daniel W., and Jingyu Zhu. "Visualizing the effects of predictor variables in black box supervised learning models." Journal of the Royal Statistical Society Series B: Statistical Methodology 82.4 (2020): 1059-1086 <doi:10.1111/rssb.12377>.) ALE has two primary advantages over other approaches like partial dependency plots (PDP) and SHapley Additive exPlanations (SHAP): its values are not affected by the presence of interactions among variables in a model and its computation is relatively rapid. This package rewrites the original code from the 'ALEPlot' package for calculating ALE data and it completely reimplements the plotting of ALE values. Future versions hope to extend the original ALE concept beyond global explanations with ALE-based measures that can be used for statistical inference as well as an ALE-based approach for local explanations.
License: GPL-2
Language: en-ca
Encoding: UTF-8
RoxygenNote: 7.2.3
Suggests: ALEPlot, gbm, gridExtra, knitr, mgcv, nnet, readr, rmarkdown
VignetteBuilder: knitr
Imports: broom, dplyr, grDevices, purrr, stats, stringr, tidyr,
        yaImpute
Depends: R (>= 3.5.0), ggplot2
URL: https://github.com/Tripartio/ale
BugReports: https://github.com/Tripartio/ale/issues
NeedsCompilation: no
Packaged: 2023-08-29 05:07:25 UTC; chitu
Author: Chitu Okoli [aut, cre] (<https://orcid.org/0000-0001-5574-7572>),
  Dan Apley [ctb] (The core code for calculating ALE values is rewritten
    from Dan Apley's ALEPlot package. We are grateful for his
    open-source contribution.)
Maintainer: Chitu Okoli <Chitu.Okoli@skema.edu>
Repository: CRAN
Date/Publication: 2023-08-29 16:30:15 UTC

## ale 0.2.0

=== DESCRIPTION ===
Package: ale
Title: Interpretable Machine Learning and Statistical Inference with
        Accumulated Local Effects (ALE)
Version: 0.2.0
Authors@R: c(
    person("Chitu", "Okoli", , "Chitu.Okoli@skema.edu", role = c("aut", "cre"),
           comment = c(ORCID = "0000-0001-5574-7572")),
    person("Dan", "Apley", role = "cph", comment = "The current code for calculating ALE interaction values is copied with frew changes from Dan Apley's ALEPlot package. We gratefully acknowledge his open-source contribution. However, he was not directly involved with this ale package.")
	)
Description: Accumulated Local Effects (ALE) were initially developed as a model-agnostic approach for global explanations of the results of black-box machine learning algorithms. ALE has a key advantage over other approaches like partial dependency plots (PDP) and SHapley Additive exPlanations (SHAP): its values represent a clean functional decomposition of the model. As such, ALE values are not affected by the presence or absence of interactions among variables in a mode. Moreover, its computation is relatively rapid. This package rewrites the original code from the 'ALEPlot' package for calculating ALE data and it completely reimplements the plotting of ALE values. It also extends the original ALE concept to add bootstrap-based confidence intervals and ALE-based statistics that can be used for statistical inference. For more details, see Okoli, Chitu. 2023. “Statistical Inference Using Machine Learning and Classical Techniques Based on Accumulated Local Effects (ALE).” arXiv. <arXiv:2310.09877>. <doi:10.48550/arXiv.2310.09877>.
License: GPL-2
Language: en-ca
Encoding: UTF-8
RoxygenNote: 7.2.3
Suggests: ALEPlot, gbm, gridExtra, knitr, mgcv, nnet, readr, rmarkdown,
        testthat (>= 3.0.0)
VignetteBuilder: knitr
Imports: assertthat, broom, dplyr, ellipsis, grDevices, labeling,
        methods, purrr, stats, stringr, tidyr, yaImpute
Depends: R (>= 3.5.0), ggplot2
URL: https://github.com/Tripartio/ale
BugReports: https://github.com/Tripartio/ale/issues
Config/testthat/edition: 3
LazyData: true
NeedsCompilation: no
Packaged: 2023-10-19 16:06:54 UTC; chitu.okoli
Author: Chitu Okoli [aut, cre] (<https://orcid.org/0000-0001-5574-7572>),
  Dan Apley [cph] (The current code for calculating ALE interaction
    values is copied with frew changes from Dan Apley's ALEPlot
    package. We gratefully acknowledge his open-source contribution.
    However, he was not directly involved with this ale package.)
Maintainer: Chitu Okoli <Chitu.Okoli@skema.edu>
Repository: CRAN
Date/Publication: 2023-10-19 21:30:05 UTC

## ale 0.3.0

=== DESCRIPTION ===
Package: ale
Title: Interpretable Machine Learning and Statistical Inference with
        Accumulated Local Effects (ALE)
Version: 0.3.0
Authors@R: c(
    person("Chitu", "Okoli", , "Chitu.Okoli@skema.edu", role = c("aut", "cre"),
           comment = c(ORCID = "0000-0001-5574-7572")),
    person("Dan", "Apley", role = "cph", comment = "The current code for calculating ALE interaction values is copied with few changes from Dan Apley's ALEPlot package. We gratefully acknowledge his open-source contribution. However, he was not directly involved in the development of this ale package.")
	)
Description: Accumulated Local Effects (ALE) were initially developed as a model-agnostic approach for global explanations of the results of black-box machine learning algorithms. ALE has a key advantage over other approaches like partial dependency plots (PDP) and SHapley Additive exPlanations (SHAP): its values represent a clean functional decomposition of the model. As such, ALE values are not affected by the presence or absence of interactions among variables in a mode. Moreover, its computation is relatively rapid. This package rewrites the original code from the 'ALEPlot' package for calculating ALE data and it completely reimplements the plotting of ALE values. It also extends the original ALE concept to add bootstrap-based confidence intervals and ALE-based statistics that can be used for statistical inference. For more details, see Okoli, Chitu. 2023. “Statistical Inference Using Machine Learning and Classical Techniques Based on Accumulated Local Effects (ALE).” arXiv. <arXiv:2310.09877>. <doi:10.48550/arXiv.2310.09877>.
License: GPL-2
Language: en-ca
Encoding: UTF-8
RoxygenNote: 7.3.1
Suggests: ALEPlot, knitr, mgcv, patchwork, readr, rmarkdown, testthat
        (>= 3.0.0)
VignetteBuilder: knitr
Imports: assertthat, broom, dplyr, ellipsis, furrr, future, ggplot2,
        ggpubr, glue, grDevices, insight, labeling, progressr, purrr,
        rlang, stats, stringr, tidyr, univariateML, yaImpute
Depends: R (>= 3.5.0)
URL: https://github.com/tripartio/ale, https://tripartio.github.io/ale/
BugReports: https://github.com/tripartio/ale/issues
Config/testthat/edition: 3
LazyData: true
NeedsCompilation: no
Packaged: 2024-02-13 17:09:59 UTC; chitu
Author: Chitu Okoli [aut, cre] (<https://orcid.org/0000-0001-5574-7572>),
  Dan Apley [cph] (The current code for calculating ALE interaction
    values is copied with few changes from Dan Apley's ALEPlot package.
    We gratefully acknowledge his open-source contribution. However, he
    was not directly involved in the development of this ale package.)
Maintainer: Chitu Okoli <Chitu.Okoli@skema.edu>
Repository: CRAN
Date/Publication: 2024-02-14 00:04:05 UTC

## ale 0.3.1

=== DESCRIPTION ===
Package: ale
Title: Interpretable Machine Learning and Statistical Inference with
        Accumulated Local Effects (ALE)
Version: 0.3.1
Authors@R: c(
    person("Chitu", "Okoli", , "Chitu.Okoli@skema.edu", role = c("aut", "cre"),
           comment = c(ORCID = "0000-0001-5574-7572")),
    person("Dan", "Apley", role = "cph", comment = "The current code for calculating ALE interaction values is copied with few changes from Dan Apley's ALEPlot package. We gratefully acknowledge his open-source contribution. However, he was not directly involved in the development of this ale package.")
	)
Description: Accumulated Local Effects (ALE) were initially developed as a model-agnostic approach for global explanations of the results of black-box machine learning algorithms. ALE has a key advantage over other approaches like partial dependency plots (PDP) and SHapley Additive exPlanations (SHAP): its values represent a clean functional decomposition of the model. As such, ALE values are not affected by the presence or absence of interactions among variables in a mode. Moreover, its computation is relatively rapid. This package rewrites the original code from the 'ALEPlot' package for calculating ALE data and it completely reimplements the plotting of ALE values. It also extends the original ALE concept to add bootstrap-based confidence intervals and ALE-based statistics that can be used for statistical inference. For more details, see Okoli, Chitu. 2023. “Statistical Inference Using Machine Learning and Classical Techniques Based on Accumulated Local Effects (ALE).” arXiv. <doi:10.48550/arXiv.2310.09877>.
License: GPL-2
Language: en-ca
Encoding: UTF-8
RoxygenNote: 7.3.1
Suggests: ALEPlot, knitr, mgcv, patchwork, readr, rmarkdown, testthat
        (>= 3.0.0)
VignetteBuilder: knitr
Imports: assertthat, broom, dplyr, ellipsis, furrr, future, ggplot2,
        ggpubr, glue, grDevices, insight, labeling, progressr, purrr,
        rlang, stats, stringr, tidyr, univariateML, yaImpute
Depends: R (>= 4.2.0)
URL: https://github.com/tripartio/ale, https://tripartio.github.io/ale/
BugReports: https://github.com/tripartio/ale/issues
Config/testthat/edition: 3
LazyData: true
NeedsCompilation: no
Packaged: 2025-03-09 15:57:10 UTC; chitu
Author: Chitu Okoli [aut, cre] (<https://orcid.org/0000-0001-5574-7572>),
  Dan Apley [cph] (The current code for calculating ALE interaction
    values is copied with few changes from Dan Apley's ALEPlot package.
    We gratefully acknowledge his open-source contribution. However, he
    was not directly involved in the development of this ale package.)
Maintainer: Chitu Okoli <Chitu.Okoli@skema.edu>
Repository: CRAN
Date/Publication: 2025-03-10 09:40:02 UTC

## ale 0.5.0

=== DESCRIPTION ===
Package: ale
Title: Interpretable Machine Learning and Statistical Inference with
        Accumulated Local Effects (ALE)
Version: 0.5.0
Authors@R: c(
    person("Chitu", "Okoli", , "Chitu.Okoli@skema.edu", role = c("aut", "cre"),
           comment = c(ORCID = "0000-0001-5574-7572"))
	)
Description: Accumulated Local Effects (ALE) were initially developed as a model-agnostic approach for global explanations of the results of black-box machine learning algorithms. ALE has a key advantage over other approaches like partial dependency plots (PDP) and SHapley Additive exPlanations (SHAP): its values represent a clean functional decomposition of the model. As such, ALE values are not affected by the presence or absence of interactions among variables in a mode. Moreover, its computation is relatively rapid. This package reimplements the algorithms for calculating ALE data and develops highly interpretable visualizations for plotting these ALE values. It also extends the original ALE concept to add bootstrap-based confidence intervals and ALE-based statistics that can be used for statistical inference. For more details, see Okoli, Chitu. 2023. “Statistical Inference Using Machine Learning and Classical Techniques Based on Accumulated Local Effects (ALE).” arXiv. <doi:10.48550/arXiv.2310.09877>.
License: MIT + file LICENSE
Language: en-ca
Encoding: UTF-8
RoxygenNote: 7.3.2
Suggests: ALEPlot, gbm, knitr, mgcv, nnet, readr, rmarkdown, testthat
        (>= 3.0.0), yaImpute
VignetteBuilder: knitr
Imports: broom, cli, dplyr, furrr, future, ggplot2, insight, methods,
        patchwork, progressr, purrr, rlang, S7, staccuracy, stats,
        stringr, tidyr, univariateML, utils
Depends: R (>= 4.2.0)
URL: https://github.com/tripartio/ale, https://tripartio.github.io/ale/
BugReports: https://github.com/tripartio/ale/issues
Config/testthat/edition: 3
Config/testthat/parallel: true
Config/testthat/start-first: ALE-numerical, ALE-binary,
        ALE-categorical, ModelBoot, ALEPlot-gold-standard, ALEpDist
LazyData: true
NeedsCompilation: no
Packaged: 2025-04-09 20:29:12 UTC; chitu
Author: Chitu Okoli [aut, cre] (<https://orcid.org/0000-0001-5574-7572>)
Maintainer: Chitu Okoli <Chitu.Okoli@skema.edu>
Repository: CRAN
Date/Publication: 2025-04-09 20:50:02 UTC

## ale 0.5.1

=== Makefile ===
# Copyright 2002 David Hilvert <dhilvert@ugcs.caltech.edu>

#  This file is part of the Anti-Lamenessing Engine.
#
#  The Anti-Lamenessing Engine is free software; you can redistribute it and/or modify
#  it under the terms of the GNU General Public License as published by
#  the Free Software Foundation; either version 2 of the License, or
#  (at your option) any later version.
#
#  The Anti-Lamenessing Engine is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU General Public License for more details.
#
#  You should have received a copy of the GNU General Public License
#  along with Anti-Lamenessing Engine; if not, write to the Free Software
#  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

#
# Compile options (defaults)
#

BITS=8
IMAGEMAGICK=0
PLAIN=0

#
# Compilation flags passed to GCC
#

BITSFLAGS:=$(if $(subst 8,,$(BITS)), -DBITS_16,)
USE_IMAGEMAGICK:=$(subst 0,,$(IMAGEMAGICK))
PPMFLAGS:=$(if $(subst 0,,$(PLAIN)), -DPPM_PLAIN)
CFLAGS:=-DNDEBUG $(BITSFLAGS) $(if $(USE_IMAGEMAGICK), -DUSE_MAGICK $(shell Magick-config --cflags --cppflags), $(PPMFLAGS) -Wall -Os) 
LDFLAGS:=-lm $(if $(USE_IMAGEMAGICK), $(shell Magick-config --ldflags --libs))

#
# We're using 'ale-phony' because we're using make for configuration,
# and we want to make sure that the output is updated if the configuration
# changes.  
# 
# XXX: is there a better way to do this?
#

all: ale-phony

clean:
	rm -f ale

ale-phony: ale.cc align.cc image_rw.cc *.h render/*.h render/ipc/*.h
	g++ -o ale $(CFLAGS) ale.cc align.cc image_rw.cc $(LDFLAGS)

# XXX: This approach to building a Windows binary is probably very dependent on
# the build configuration.  The above target may be a better place to start for
# Windows users.

ale.exe: ale.cc align.cc image_rw.cc *.h render/*.h render/ipc/*.h
	i586-mingw32msvc-g++ -Wall $(BITSFLAGS) $(PPMFLAGS) -DNDEBUG -o ale.exe -Os ale.cc align.cc image_rw.cc -lm

## ale 0.5.2

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: ale
 Title: Interpretable Machine Learning and Statistical Inference with
         Accumulated Local Effects (ALE)
-Version: 0.5.0
+Version: 0.5.2
 Authors@R: c(
     person("Chitu", "Okoli", , "Chitu.Okoli@skema.edu", role = c("aut", "cre"),
            comment = c(ORCID = "0000-0001-5574-7572"))
@@ -11,8 +11,8 @@
 Language: en-ca
 Encoding: UTF-8
 RoxygenNote: 7.3.2
-Suggests: ALEPlot, gbm, knitr, mgcv, nnet, readr, rmarkdown, testthat
-        (>= 3.0.0), yaImpute
+Suggests: gbm, knitr, mgcv, nnet, readr, rmarkdown, testthat (>=
+        3.0.0), yaImpute
 VignetteBuilder: knitr
 Imports: broom, cli, dplyr, furrr, future, ggplot2, insight, methods,
         patchwork, progressr, purrr, rlang, S7, staccuracy, stats,
@@ -26,8 +26,8 @@
         ALE-categorical, ModelBoot, ALEPlot-gold-standard, ALEpDist
 LazyData: true
 NeedsCompilation: no
-Packaged: 2025-04-09 20:29:12 UTC; chitu
-Author: Chitu Okoli [aut, cre] (<https://orcid.org/0000-0001-5574-7572>)
+Packaged: 2025-08-28 06:58:29 UTC; chitu
+Author: Chitu Okoli [aut, cre] (ORCID: <https://orcid.org/0000-0001-5574-7572>)
 Maintainer: Chitu Okoli <Chitu.Okoli@skema.edu>
 Repository: CRAN
-Date/Publication: 2025-04-09 20:50:02 UTC
+Date/Publication: 2025-08-29 11:00:21 UTC

## ale 0.5.3

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: ale
 Title: Interpretable Machine Learning and Statistical Inference with
         Accumulated Local Effects (ALE)
-Version: 0.5.2
+Version: 0.5.3
 Authors@R: c(
     person("Chitu", "Okoli", , "Chitu.Okoli@skema.edu", role = c("aut", "cre"),
            comment = c(ORCID = "0000-0001-5574-7572"))
@@ -11,8 +11,8 @@
 Language: en-ca
 Encoding: UTF-8
 RoxygenNote: 7.3.2
-Suggests: gbm, knitr, mgcv, nnet, readr, rmarkdown, testthat (>=
-        3.0.0), yaImpute
+Suggests: knitr, mgcv, nnet, readr, rmarkdown, testthat (>= 3.0.0),
+        yaImpute
 VignetteBuilder: knitr
 Imports: broom, cli, dplyr, furrr, future, ggplot2, insight, methods,
         patchwork, progressr, purrr, rlang, S7, staccuracy, stats,
@@ -26,8 +26,8 @@
         ALE-categorical, ModelBoot, ALEPlot-gold-standard, ALEpDist
 LazyData: true
 NeedsCompilation: no
-Packaged: 2025-08-28 06:58:29 UTC; chitu
+Packaged: 2025-09-12 18:00:11 UTC; chitu
 Author: Chitu Okoli [aut, cre] (ORCID: <https://orcid.org/0000-0001-5574-7572>)
 Maintainer: Chitu Okoli <Chitu.Okoli@skema.edu>
 Repository: CRAN
-Date/Publication: 2025-08-29 11:00:21 UTC
+Date/Publication: 2025-09-12 18:20:02 UTC

## ale 0.7.1

=== Makefile ===
# Copyright 2002, 2003 David Hilvert <dhilvert@auricle.dyndns.org>,
#                                    <dhilvert@ugcs.caltech.edu>

#  This file is part of the Anti-Lamenessing Engine.
#
#  The Anti-Lamenessing Engine is free software; you can redistribute it and/or modify
#  it under the terms of the GNU General Public License as published by
#  the Free Software Foundation; either version 2 of the License, or
#  (at your option) any later version.
#
#  The Anti-Lamenessing Engine is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU General Public License for more details.
#
#  You should have received a copy of the GNU General Public License
#  along with Anti-Lamenessing Engine; if not, write to the Free Software
#  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

#
# Compile options (defaults)
#

IMAGEMAGICK=0
FFTW=0
DEBUG=0
POSIX=1
COLORS=SINGLE
COORDINATES=SINGLE

#
# Variable that is false when ImageMagick is not being used
#

use_imagemagick:=$(subst 0,,$(IMAGEMAGICK))

#
# Compiler flags
#

DEBUG_CFLAGS:=$(if $(subst 0,,$(DEBUG)),-DDEBUG,-DNDEBUG)
IMAGEMAGICK_CFLAGS:=$(if $(use_imagemagick),-DUSE_MAGICK $(shell Magick-config --cflags --cppflags),)
IMAGEMAGICK_LDFLAGS:=$(if $(use_imagemagick),$(shell Magick-config --ldflags --libs),)
FFTW_CFLAGS:=$(if $(subst 0,,$(FFTW)),-DUSE_FFTW,)
POSIX_CFLAGS:=$(if $(subst 0,,$(POSIX)),-DUSE_UNIX,)
PRECISION_CFLAGS:=$(if $(subst SINGLE,,$(COLORS)),,-DALE_COLORS=SINGLE)\
                  $(if $(subst DOUBLE,,$(COLORS)),,-DALE_COLORS=DOUBLE)\
                  $(if $(subst HALF,,$(COLORS)),,-DALE_COLORS=HALF)\
                  $(if $(subst SINGLE,,$(COORDINATES)),,-DALE_COORDINATES=SINGLE)\
                  $(if $(subst DOUBLE,,$(COORDINATES)),,-DALE_COORDINATES=DOUBLE)
FFTW_LDFLAGS:=$(if $(subst 0,,$(FFTW)),-lfftw3,)

CFLAGS:= $(POSIX_CFLAGS) $(DEBUG_CFLAGS) $(FFTW_CFLAGS) $(PRECISION_CFLAGS) \
         $(if $(use_imagemagick),$(IMAGEMAGICK_CFLAGS),-Wall -O2) 
LDFLAGS:=$(if $(use_imagemagick),$(IMAGEMAGICK_LDFLAGS)) $(FFTW_LDFLAGS) -lm

#
# We're using 'ale-phony' because we're using make for configuration,
# and we want to make sure that the output is updated if the configuration
# changes.  
# 
# XXX: is there a better way to do this?
#

all: ale-phony

clean:
	rm -f ale

ale-phony: ale.cc d2.cc *.h d2/*.h d2/render/*.h d2/render/psf/*.h
	g++ -o ale $(CFLAGS) ale.cc d2.cc $(LDFLAGS)

# The following approach to building a Windows binary is probably very
# dependent on the host platform configuration.  The above target may be a
# better place to start for Windows users.

ale.exe: ale.cc d2.cc *.h d2/*.h d2/render/*.h d2/render/psf/*.h
	i586-mingw32msvc-g++ -Wall $(PRECISION_CFLAGS) $(DEBUG_CFLAGS) -o ale.exe -O2 ale.cc d2.cc -lm

## ale 0.9.0.1

=== doc/Makefile ===
#
# Makefile modified by David Hilvert to generate ALE documentation.
# 24-Sep-2006
#

# $Source$
# $Author: xmldoc $
# $Date: 2006-09-01 15:47:16 +0900 (Fri, 01 Sep 2006) $
# $Revision: 6235 $
# vim: number
#
# -----------------------------------------------------------------
#  ** Makefile.DocBook -- generate output from DocBook sources **
# -----------------------------------------------------------------
#
#   This file is part of the DocBook Project XSL Stylesheet
#   distribution.
#
#   See http://docbook.sourceforge.net/release/xsl/current/
#   for copyright and other information.

# DOCBOOK_OUTPUT_FORMATS is the default set of targets (output
# formats) that get built when you type "make" without any targets
# explicitly specified. To generate a different set of output
# formats, change the value of DOCBOOK_OUTPUT_FORMATS here or set
# it in your environment; for example:
#
#   set DOCBOOK_OUTPUT_FORMATS="html pdf"; export DOCBOOK_OUTPUT_FORMATS
#
# Of course by explicitly specifying particular targets when you
# invoke "make", you can always override generation of the default
# set of targets; for example:
#
#   make html txt
#
# That would generate just HTML (unchunked) and plain-text output.
#
DOCBOOK_OUTPUT_FORMATS ?= man chunk txt pdf info

# If you want XHTML output instead of HTML, set HTML_OR_XHTML to
# 'xhtml' or just specify 'xhtml" in DOCBOOK_OUTPUT_FORMATS.
ifeq ($(findstring xhtml,$(DOCBOOK_OUTPUT_FORMATS)),)
HTML_OR_XHTML ?= html
else
HTML_OR_XHTML ?= xhtml
endif

# -----------------------------------------------------------------
#                *** TOOLS and other DEPENDENCIES ***
# -----------------------------------------------------------------
# we use rmdir(1) to remove dirs we create for chunked HTML output
RMDIR = rmdir
# "-p" causes empty parent dirs to be deleted as well
RMDIR_FLAGS = --ignore-fail-on-non-empty -p

# possible values for PDF_MAKER are:
#   dblatex|fop|xep|xmlroff|passivetex
PDF_MAKER = fop

# possible values for TXT_MAKER are:
#   links|lynx|w3m|w3mmee
TXT_MAKER = links
TXT_MAKER_FLAGS = -dump -no-numbering -no-references

# xsl
XSLT = xsltproc
XSLT_FLAGS = --xinclude

# http://dblatex.sourceforge.net/
DBLATEX = dblatex
DBLATEX_FLAGS = -b pdftex -P page.margin.inner=0.8 -P page.margin.outer=0.5 -P double.sided=1 -T db2latex

FOP = fop
FOP_FLAGS =

XEP = xep
XEP_FLAGS =

# http://xmlroff.sourceforge.net/
XMLROFF = xmlroff
XMLROFF_FLAGS =

PDFTEX = pdftex
PDFTEX_FLAGS =

# used by PassiveTeX
PDFXMLTEX = pdfxmltex

# http://docbook2x.sourceforge.net/
DB2X_XSLTPROC = db2x_xsltproc
DB2X_XSLTPROC_FLAGS = --xinclude
DB2X_TEXIXML = db2x_texixml --list-files
DB2X_TEXIXML_FLAGS = 

# we call the man(1) command to generate "foo.N.pdf" and
# "foo.N.txt" output (see "man-pdf" & "man-txt" targets)
MAN = man
MAN_FLAGS =

# The "ps2pdf" command is part of GhostSript (gs) distro.
# It is just a wrapper script around gs that does this:
#
#   gs -dCompatibilityLevel=1.2 -q -dNOPAUSE -dBATCH -sDEVICE=pdfwrite \
#     "-sOutputFile=$outfile" -dCompatibilityLevel=1.2 -c .setpdfwrite -f "$infile"
#
# Where, for example: $outfile = foo.pdf and $infile = foo.1
PS2PDF = ps2pdf
PS2PDF_FLAGS =

# The "col" command is needed for stripping backspaces and
# underscores from man(1) output to get pure plain-text
COL = col
COL_FLAGS =

# The "expand" command is needed for expanding tabs from files
# generated from "man foo.1 | col -b" output
# output to get pure plain-text
EXPAND = expand
EXPAND_FLAGS =

# value of DOCBOOK_XSL should either be the canonical
# (docbook.sourceforge.net) URL for the DocBook Project XSL
# stylesheets OR it can be a local system path
DOCBOOK_XSL = http://docbook.sourceforge.net/release/xsl/current

# -----------------------------------------------------------------
#       names of some DIRECTORIES and FILES we need
# -----------------------------------------------------------------
# We create a tmp directory once per make invocation; it's needed
# for holding a temporary copy of the custom DBLaTeX stylesheet
# (because dblatex currently can't read a stylesheet from stdin)
TMP ?= /tmp
TMPNUM := $(shell echo $$$$)
DOCBOOK_TMP := $(TMP)/docbook-make-$(TMPNUM)

# MAN_MANIFEST_EXT is file extension added to individual manifest
# files
MAN_MANIFEST_EXT = manifest_man

# HTML_MANIFEST_EXT is file extension added to HTML manifest files
HTML_MANIFEST_EXT = manifest_html

# BASEDIR_SUFFIX is a what you need to set if you want a suffix
# added to the end of each "base.dir" we create while generating
# chunked HTML output
#BASEDIR_SUFFIX = -html
#BASEDIR_SUFFIX = _html
BASEDIR_SUFFIX = 

#
# Workaround the fact that we don't calculate dependencies.
#

BROKEN_DEPENDENCIES = package/changelog/index.in $(shell find . -name "*.xml") package/changelog/index.xml make-changelog Makefile


# -----------------------------------------------------------------
#                        assorted OPTIONS
# -----------------------------------------------------------------
# HTML_STYLESHEET -> $html.stylesheet stylesheet param
# http://docbook.sourceforge.net/snapshots/xsl/doc/html/html.stylesheet.html
HTML_STYLESHEET = style.css
# HTML_IMAGES -> $admon.graphics.path
# http://docbook.sourceforge.net/snapshots/xsl/doc/html/admon.graphics.path.html
HTML_IMAGES = images/
# HTML_IMAGES_EXT -> $admon.graphics.extension
# http://docbook.sourceforge.net/snapshots/xsl/doc/html/admon.graphics.extension.html
HTML_IMAGES_EXT = .png

# use these to set params on the command-line
# format is, e.g., HTML_PARAMS="--stringparam variablelist.as.table 1..."
FO_PARAMS =
HTML_PARAMS =
MAN_PARAMS =

# DBX_PARAMS is for dblatex(1); format uses "-p":
# DBX_PARAMS="-p doc.publisher.show 1 -p term.breakline 1...
DBX_PARAMS=

# What file extension do you use for DocBook source files?
DOCBOOK_FILE_EXTENSION = .docbook
SOURCE_FILE_EXTENSION = .xml

# -----------------------------------------------------------------
#       make(1) functions for building file lists
# -----------------------------------------------------------------
#
#    the values of the following are used for determing what needs
#    to be built and/or cleaned up

SOURCE_FILES_DBK = $(wildcard *$(SOURCE_FILE_EXTENSION))

FILES_FO   = $(foreach base,$(basename $(SOURCE_FILES_DBK)),$(base).fo)
FILES_TXT  = $(foreach base,$(basename $(SOURCE_FILES_DBK)),$(base).txt)
FILES_PDF  = $(foreach base,$(basename $(SOURCE_FILES_DBK)),$(base).pdf)
FILES_LOG  = $(foreach base,$(basename $(SOURCE_FILES_DBK)),$(base).log)
FILES_OUT  = $(foreach base,$(basename $(SOURCE_FILES_DBK)),$(base).out)
FILES_AUX  = $(foreach base,$(basename $(SOURCE_FILES_DBK)),$(base).aux)
FILES_HTML = $(foreach base,$(basename $(SOURCE_FILES_DBK)),$(base).html)
FILES_INFO = $(foreach base,$(basename $(SOURCE_FILES_DBK)),$(base).info)
DIRS_CHUNK = $(foreach base,$(basename $(SOURCE_FILES_DBK)),$(base)$(BASEDIR_SUFFIX))
LISTS_HTML = $(foreach base,$(basename $(SOURCE_FILES_DBK)),$(base).$(HTML_MANIFEST_EXT))
LISTS_MAN  = $(foreach base,$(basename $(SOURCE_FILES_DBK)),$(base).$(MAN_MANIFEST_EXT))
FILES_CHNK = $(shell for manifest in $(LISTS_HTML); do if [ -f "$$manifest" ]; then cat $$manifest; fi done)
FILES_MAN  = $(shell for manifest in $(LISTS_MAN);  do if [ -f "$$manifest" ]; then cat $$manifest; fi done)
FILES_MANP = $(foreach base,$(FILES_MAN),$(base).pdf)
FILES_MANT = $(foreach base,$(FILES_MAN),$(base).txt)
DIRS_MAN   = $(shell for file in $(FILES_MAN); do dirname $$file; done | uniq)

# -----------------------------------------------------------------
#   ** stylesheet for testing whether a file has a refentry
# -----------------------------------------------------------------
REFENTRY_CHECK := <xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" \
                version="1.0" \
                xmlns:db="http://docbook.org/ns/docbook" \
                > \
  <xsl:output method="text"/> \
  <xsl:template match="/"> \
    <xsl:if test="//refentry|//db:refentry"> \
      <xsl:text>true</xsl:text> \
    </xsl:if> \
  </xsl:template> \
</xsl:stylesheet>

# -----------------------------------------------------------------
#             ** Stylesheet Customization Layers ** 
# -----------------------------------------------------------------
#
# for DBLaTeX
DBX_CUSTOM := <xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" \
                 version="1.0"> \
  <xsl:param name="co.linkends.show">0</xsl:param> \
  <xsl:param name="callout.markup.circled">1</xsl:param> \
  <xsl:param name="callout.linkends.hot">0</xsl:param> \
  <xsl:param name="doc.publisher.show">1</xsl:param> \
  <xsl:param name="term.breakline">1</xsl:param> \
  <xsl:param name="doc.alignment">left</xsl:param> \
  <xsl:param name="newtbl.use">1</xsl:param> \
  <xsl:param name="latex.hyperparam"/> \
  <xsl:param name="latex.style">docbook</xsl:param> \
  <xsl:param name="latex.biblio.output">all</xsl:param> \
  <xsl:param name="latex.bibfiles">""</xsl:param> \
  <xsl:param name="latex.bibwidelabel">WIDELABEL</xsl:param> \
  <xsl:param name="latex.output.revhistory">0</xsl:param> \
  <xsl:param name="latex.figure.position">[htbp]</xsl:param> \
  <xsl:param name="latex.figure.boxed">0</xsl:param> \
  <xsl:param name="latex.babel.use">1</xsl:param> \
  <xsl:param name="latex.babel.language"></xsl:param> \
  <xsl:param name="latex.class.options">twoside</xsl:param> \
  <xsl:param name="biblioentry.item.separator">, </xsl:param> \
  <xsl:param name="refentry.xref.manvolnum">1</xsl:param> \
  <xsl:param name="refsynopsis.title">Synopsis</xsl:param> \
  <xsl:param name="refnamediv.title"></xsl:param> \
  <xsl:param name="funcsynopsis.style">ansi</xsl:param> \
  <xsl:param name="funcsynopsis.decoration">1</xsl:param> \
  <xsl:param name="function.parens">0</xsl:param> \
  <xsl:param name="classsynopsis.default.language">java</xsl:param> \
  <xsl:param name="show.comments">0</xsl:param> \
</xsl:stylesheet>

# for FO output

#
# NOTE: The following changes may be required to the stock docbook stylesheets
# for double-sided output:
#
# In /usr/share/xml/docbook/stylesheet/nwalsh/fo:
#
# 	o Add '<xsl:attribute name="margin-left">0pc</xsl:attribute>'
#	  to the template 'footer.table'.  This fixes number positioning in
#	  double-sided output.
#	o In the test for generating 'section.head.marker', change
#	  the test '$double-sided != 0' to read '$double-sided > 1'.
#	  This disables section-name headings in favor of chapter-name
#	  headings.
#
#	--dhilvert@auricle.dyndns.org, 12-Oct-2006
#
FO_CUSTOM := <xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" \
                xmlns:fo="http://www.w3.org/1999/XSL/Format" \
                version="1.0"> \
  <xsl:import href="$(DOCBOOK_XSL)/fo/docbook.xsl"/> \
  <xsl:param name="$(PDF_MAKER).extensions">1</xsl:param> \
  <xsl:param name="paper.type">Custom</xsl:param> \
  <xsl:param name="commented.page.height">9.25in</xsl:param> \
  <xsl:param name="commented.page.width">7.5in</xsl:param> \
  <xsl:param name="page.height">PAPER_HEIGHT</xsl:param> \
  <xsl:param name="page.width">PAPER_WIDTH</xsl:param> \
  <xsl:param name="commented.page.margin.inner">3in</xsl:param> \
  <xsl:param name="commented.page.margin.outer">3in</xsl:param> \
  <xsl:param name="chapter.autolabel">1</xsl:param> \
  <xsl:param name="section.autolabel">1</xsl:param> \
  <xsl:param name="toc.section.depth">2</xsl:param> \
  <xsl:param name="commented.toc.max.depth">2</xsl:param> \
  <xsl:param name="double.sided">DOUBLE_SIDED</xsl:param> \
  <xsl:param name="draft.watermark.image"></xsl:param> \
  <xsl:param name="hyphenation">false</xsl:param> \
  <xsl:param name="hyphenate.verbatim">1</xsl:param> \
  <xsl:param name="alignment">left</xsl:param> \
  <xsl:param name="refentry.generate.name">1</xsl:param> \
  <xsl:param name="refentry.generate.title">0</xsl:param> \
  <xsl:param name="refentry.pagebreak">1</xsl:param> \
  <xsl:param name="shade.verbatim">1</xsl:param> \
  <xsl:param name="variablelist.as.blocks">1</xsl:param> \

## ale 0.9.0.3

=== doc/Makefile ===
--- 
+++ 
@@ -60,7 +60,7 @@
 # possible values for TXT_MAKER are:
 #   links|lynx|w3m|w3mmee
 TXT_MAKER = links
-TXT_MAKER_FLAGS = -dump -no-numbering -no-references
+TXT_MAKER_FLAGS = -dump
 
 # xsl
 XSLT = xsltproc

=== debian/changelog ===
ale (0.9.0.3-5) unstable; urgency=medium

  * QA upload.
  * Mark the autopkgtest as superficial.

 -- Adam Borowski <kilobyte@angband.pl>  Sat, 05 Sep 2020 19:12:01 +0200

ale (0.9.0.3-4) unstable; urgency=medium

  * QA upload.
  * debian/compat: removed.
  * debian/control:
      - Bumped DH level to 12.
      - Bumped Standards-Version to 4.4.0.
      - Removed dh-autoreconf because debhelper-compat contain it yet.
      - Updated Homepage field. Closes: #738763
  * debian/copyright:
      - Added safe uri (https) to Format.
      - Full updated.
  * debian/patches/20_fix-deprecated-function.patch: created to remove a
    deprecated Perl function.
  * debian/tests/control: created.
  * debian/upstream/metadata: created.
  * debian/watch: full updated.

 -- Daniel Pimentel <d4n1@d4n1.org>  Fri, 06 Sep 2019 17:33:01 +0000

ale (0.9.0.3-3) unstable; urgency=medium

  * QA upload.
  * Bumped DH level to 10.
  * Using dh-autoreconf now.
  * debian/control: bumped Standards-Version to 3.9.8.
  * debian/copyright: updated the packaging copyright years.
  * debian/patches/fix_string_issue: renamed to 10_fix-string-issue.patch.
  * debian/watch: bumped to version 4.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Mon, 26 Dec 2016 00:03:56 -0200

ale (0.9.0.3-2) unstable; urgency=medium

  * QA upload.
  * Set maintainer as Debian QA Group <packages@qa.debian.org>
  * Added a patch to avoid direct upstream source code modification.
  * Set Standards-Version as 3.9.6.
  * Switched the source format to 3.0 (quilt).
  * Update DH level to 9.
  * debian/copyright:
      - Updated to 1.0 format.
      - Updated all information about the upstream authors and the packaging.
  * debian/manpages: added to install the manpages.
  * debian/rules:
      - Added the variable 'DEB_BUILD_MAINT_OPTIONS' to add all flags
        requested by blhc command.
      - Now using debhelper only.
  * debian/watch: updated. The original upstream site no longer exist but
      there are alternative repositories.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Fri, 21 Nov 2014 17:01:18 -0200

ale (0.9.0.3-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix "FTBFS: ui/unsupported.h:35:30: error: format not a string
    literal and no format arguments [-Werror=format-security]":
    apply patch from Bart Martens.
    (Closes: #643348)

 -- gregor herrmann <gregoa@debian.org>  Wed, 12 Oct 2011 22:37:59 +0200

ale (0.9.0.3-1) unstable; urgency=low

  * New Upstream version
  * Removing old patch no longer needed.
  * Standards-Version updated to 3.8.2 (no changes)
  * Updated debian/copyright
  * Converted to dh7 tiny rules.

 -- Ruben Molina <rmolina@udea.edu.co>  Wed, 01 Jul 2009 22:13:37 -0500

ale (0.9.0.1-2) unstable; urgency=low

  * Added a patch fixing a bashism on ale wrapper (Closes: #505290).

 -- Ruben Molina <rmolina@udea.edu.co>  Tue, 11 Nov 2008 10:02:04 -0500

ale (0.9.0.1-1) unstable; urgency=low

  * New Upstream version
  * Standards-Version updated to 3.8.0

 -- Ruben Molina <rmolina@udea.edu.co>  Mon, 16 Jun 2008 09:20:37 -0500

ale (0.9.0-2) unstable; urgency=low

  * Added a patch for a missing include (Closes: #482765).
  * Fixed a bug in debian/watch

 -- Ruben Molina <rmolina@udea.edu.co>  Sun, 25 May 2008 13:43:00 -0500

ale (0.9.0-1) unstable; urgency=low

  * New maintainer (Closes: #481384).
  * New Upstream version (Closes: #325491).
  * Added binary-indep target (Closes: #395670).
  * Acknowledge previous NMU.
  * Updated ale man pages.
  * Standards-Version updated.
  * Homepage field added.
  * Converted to CDBS.

 -- Ruben Molina <rmolina@udea.edu.co>  Sat, 24 May 2008 00:25:04 -0500

ale (0.7.1-2) unstable; urgency=low

  * Orphaning ale.
    + Maintainer now QA Group.

 -- Nick Rusnov <nickrusnov@debian.org>  Wed, 14 May 2008 17:03:45 -0700

ale (0.7.1-1.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Cleanup to bring all architectures in sync again.
  * Replace fftw3-dev by libfftw3-dev in build-deps.

 -- Andreas Barth <aba@not.so.argh.org>  Tue, 26 Feb 2008 19:06:52 +0000

ale (0.7.1-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Imagemagick transition (Closes: #325490, #332451).

 -- Luk Claes <luk@debian.org>  Thu, 27 Oct 2005 18:17:46 +0200

ale (0.7.1-1) unstable; urgency=low

  * New upstream versions.
    + Many, many upstream changes, enhancements, etc. Please see upstream changelog.
  * Updated man page: Because upstream is fairly fast-moving and the arguments
    highly technical, it only documents the help options and advises the user to see
    the upstream user's guide (also, ale now contains all the same information in the
    binary itself that would be shown in the manual page).
  * Build against fftw3 in order to enable the --fl argument for more efficient
    fourier transforms in Irani-Peleg transforms.
  * Updated email address in copyright file.

 -- Nick Rusnov <nickrusnov@debian.org>  Mon, 20 Sep 2004 08:49:09 -0700

ale (0.5.1-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Medium urgency to facilitate the libtiff transition.
  * Rebuild without using Magick-config --libs, removing excess
    dependencies on image libraries (closes: #262786).

 -- Steve Langasek <vorlon@debian.org>  Sun,  1 Aug 2004 23:24:43 -0700

ale (0.5.1-2) unstable; urgency=low

  * Fix dependency on libmagick (Closes: #247623)
  * Remove Dependency on libstdc++ (Closes: #249939)
  * Add -lWand to Makefile

 -- Nick Rusnov <nickrusnov@debian.org>  Tue, 15 Jun 2004 15:15:35 -0700

ale (0.5.1-1) unstable; urgency=low

  * New upstream versions.
    + Adds Irani-Peleg image reconstruction filter
    + Adds Drizzling for positioning
    + Adds edge following and image expanding, which can be used to
      create image mosaics and panoramas.
    + Many other bug fixes and enhancements (see upstream changelog).
  * Applied upstream patches against 0.5.1 (patch1, patch2 and patch3).


=== debian/control ===
Source: ale
Section: graphics
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper-compat (= 12)
Standards-Version: 4.4.0
Homepage: https://repo.or.cz/Ale.git

Package: ale
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: synthetic capture engine and renderer
 ALE aligns and merges several similar images from a digitizing device
 (such as a digital camera or scanner) into a single image.  This operation
 can create a higher fidelity image by using details from several separate
 images combined into the final image. It can also be used to merge the
 images into a mosaic or panoramic image.

=== debian/tests/control ===
Test-Command: ale --version
Restrictions: superficial

=== debian/watch ===
version=4
https://repo.or.cz/Ale.git/refs .*/shortlog/refs/tags/(\d\S+)
